#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	git
Version		:	2.46.1
Release		:	17.0.10.rel%{?dist}
Summary		:	Fast Version Control System
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	https://github.com/git/git

Source0		:	%{name}-%{version}.tar.xz
#https://mirrors.edge.kernel.org/pub/software/scm/git/
Source1		:	%{name}-manpages-%{version}.tar.xz
Source2		:	%{name}-htmldocs-%{version}.tar.xz

Source9		:	%{name}-ok_addon.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	asciidoc
#-----------------------------------------------------------------------------

## remove autoreq Perl dependencies
#filter_from_requires /^perl.*/d
#filter_setup

#-----------------------------------------------------------------------------
%description
Git is a fast, scalable, distributed revision control system with an
unusually rich command set that provides both high-level operations
and full access to internals.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/git*
%{_bindir}/scalar
%{_libexecdir}/%{name}*
%{_datadir}/%{name}-core/templates/description
%{_datadir}/%{name}-core/templates/hooks/*.sample
%{_datadir}/%{name}-core/templates/info/exclude
%{_datadir}/%{name}-gui/lib/*.tcl
%{_datadir}/%{name}-gui/lib/msgs/*.msg
%{_datadir}/%{name}-gui/lib/git-gui.ico
%{_datadir}/%{name}-gui/lib/tclIndex
%{_datadir}/%{name}-gui/lib/win32_shortcut.js
%{_datadir}/%{name}k/lib/msgs/*.msg
%{_datadir}/perl5/FromCPAN/*.pm
%{_datadir}/perl5/FromCPAN/Mail/*.pm
%{_datadir}/perl5/Git/LoadCPAN/*.pm
%{_datadir}/perl5/Git/LoadCPAN/Mail/*.pm
%{_datadir}/perl5/Git.pm
%{_datadir}/perl5/Git/*.pm
#{_datadir}/perl5/Git/SVN/*.pm
#{_datadir}/perl5/Git/SVN/Memoize/*.pm
%{_defaultdocdir}/%{name}-%{version}/*
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/%{name}k.1.gz
%{_mandir}/man1/%{name}-*.1.gz
%{_mandir}/man1/scalar.1.gz
%{_mandir}/man5/*.5.gz
%{_mandir}/man7/*.7.gz

#=============================================================================
%package		web
Summary		:	Simple web interface to git repositories

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}
Requires	:	httpd
Requires	:	perl-CGI
Requires	:	perl-HTML-Parser
Requires	:	python3-certbot-apache

BuildArch	:	noarch
#----------------------------------------------------------------------------
%description		web
Convenient WEB interface to '%{name}', allow to
track sources changes via a WEB interface

#-----------------------------------------------------------------------------
%files			web
%defattr(-, root,root,-)
%config(noreplace)%{_sysconfdir}/%{name}web.conf
%config(noreplace)%{_sysconfdir}/httpd/conf.d/%{name}.conf
%{_mandir}/man1/%{name}web.1.gz
%{_localstatedir}/www/%{name}/%{name}web.cgi
%{_localstatedir}/www/%{name}/static/%{name}*

#=============================================================================
%prep
%setup -q

(
%{__mkdir_p} manuals
cd manuals
%{__tar} xf %{SOURCE1}
)
(
%{__mkdir_p} htmldocs
cd htmldocs
%{__tar} xf %{SOURCE2}
)

tar xf %{SOURCE9}


echo "gitwebdir = %{_localstatedir}/www/git" >> config.mak.in

#-----------------------------------------------------------------------------
#building application
%build

%{__make} configure
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--with-gitconfig=%{_sysconfdir}/gitconfig	\
	--with-openssl					\
	--with-python=python3				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__mkdir_p} %{buildroot}%{_mandir}/
%{__cp} -a						\
	manuals/*					\
	%{buildroot}%{_mandir}

%{__mkdir_p} %{buildroot}%{_defaultdocdir}/%{name}-%{version}
%{__cp} -a						\
	htmldocs/*					\
	%{buildroot}%{_defaultdocdir}/%{name}-%{version}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/httpd/conf.d/
%{__cp} -a						\
	%{name}-ok_addon/gitweb.conf			\
	%{buildroot}%{_sysconfdir}/

%{__cp} -a						\
	%{name}-ok_addon/httpd-%{name}.conf		\
	%{buildroot}%{_sysconfdir}/httpd/conf.d/%{name}.conf

#unpackaged SVN file
pushd %{buildroot}	> /dev/null
%{__rm}							\
	./%{_libexecdir}/%{name}-core/%{name}-svn	\
	./%{_datadir}/perl5/Git/SVN.pm			\
	./%{_datadir}/perl5/Git/SVN/Memoize/YAML.pm	\
	./%{_datadir}/perl5/Git/SVN/*.pm

popd			> /dev/null

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
